Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class NeuroFuzzyPerceptron

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.NeuroFuzzyPerceptron

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class NeuroFuzzyPerceptron

extends NeuralNetwork

The NeuroFuzzyReasoner class represents Neuro Fuzzy Reasoner architecture.

See Also:
  Serialized Form

Constructor Summary
`NeuroFuzzyPerceptron(double[][] pointsSets, double[][] timeSets)`
`NeuroFuzzyPerceptron(int inputNum, java.util.Vector<java.lang.Integer> inputSets, int outNum)`

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getLayerAt, getLayers, getLayersCount, getLayersIterator, getLearningRule, getLearningThread, getNetworkType, getOutput, getOutputAsArray, getOutputNeurons, getPlugin, indexOf, initializeWeights, initializeWeights, initializeWeights, learn, learnInNewThread, learnInNewThread, learnInSameThread, learnInSameThread, load, load, notifyChange, pauseLearning, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, resumeLearning, run, save, setInput, setInput, setInputNeurons, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuroFuzzyPerceptron

    public NeuroFuzzyPerceptron(double[][] pointsSets,
                                double[][] timeSets)

### NeuroFuzzyPerceptron

    public NeuroFuzzyPerceptron(int inputNum,
                                java.util.Vector<java.lang.Integer> inputSets,
                                int outNum)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD